#include <stdio.h>
/*Loo andmebaas, kus oleks väljad:
char eesnimi,
char perenimi,
char isikukood,
char matriklinumber.

Sisesta 10 isiku andmed või loe need sisse tekstifailist, mille teed ka ise.
Otsi tekkinud 10 inimese andmebaasist välja kahte hulka naised ja mehed. (sorteerimine isikukoodi järgi)
Naised ja mehed omakorda sorteeri vanuse järgi: mehed kasvavalt, naised kahanevalt.*/

typedef struct Isik  // loome uue andmetüübi
{
	char eesnimi[64];
	char perenimi[64];
	char id[32];
	char mat[32];
} Isik;

void faili_nimi(const char *, char *);// loeme sisse algandmete faili nimeNB!niisaame lugeda ka teiste failide nimed

int kontrolli_fail(FILE *);// kas olemas

int mitukirjet(FILE *);// kontrolliks, et fail ei ole tühi, st sisaldaks ainult reavahetustNB! lõpus rewaind, et algusesse

void loe_isikud(Isik [], int, FILE *);//loeme andmed failist

void sorteeri_sugu(Isik [], int, int *); // void uus(char []);//void uus(char *)

void sorteeri_vanus(Isik [], int, int);

void prindi_isikud(Isik [], int);// seda väljastusfunktsiooni võiks kasutada koduvalt

int main(void)
{
	int kirjete_arv;
	int meeste_arv;
	char[128] nimi;
	FILE *f;
	faili_nimi("Sisestada faili nimi: ", nimi);
	f = fopen(nimi, "r");
	if (kontrolli_fail(f) == 0)
	{
		printf("Pole faili.\n");
		return 1;
	}
	kirjete_arv = mitukirjet(f);
	Isik andmebaas[kirjete_arv];
	loe_isikud(andmebaas, kirjete_arv, f);
	sorteeri_sugu(andmebaas, kirjete_arv, &meeste_arv);
	sorteeri_vanus(andmebaas, meeste_arv, 0);
	sorteeri_vanus(andmebaas, kirjete_arv-meeste_arv, meeste_arv);
	prindi_isikud(andmebaas, kirjete_arv);
	return 0;
}
